function parseMd(content) {
    //var frontMatters = [];
    var blockCount;
    var preDataIndex;
    var parseBlockDiv;
    var preImgObject = { 'image': {} };
    var isNotFrontMatterCount = 0;
    var isAmpImgRange = false;
    var result = [];

    var blocks = new Array();
    lineIdx = 1;
    foundImg = false;
    foundYT = false;
    crossLine = "";

    for (var line of content.split('\n')) {
        lineIdx++;
        if (isNotFrontMatterCount < 2) {
            frontMatters.push(line)
            if (line.includes('title: ')) {
                $('#ctitle').val(line.replace('title: ','').replaceAll('\"',''));
            }
            if (line.includes('date: ')) {
                //alert(line);
                $('#cdate').val(line.replace('date: ','').replaceAll('\"',''));
            }
            if (line.includes('draft: ')) {
                //alert(line);
                $('#cdraft').val(line.replace('draft: ','').replaceAll('\"',''));
                console.log($('#cdraft').val());
                $('#cdraft').removeAttr('checked');
                if($('#cdraft').val() == 'false')
                    $('#cdraft').prop('checked',true);
                /*
                if($('#cdraft').val() == 'true') 
                    $('#cdraft').removeAttr('checked');
                else
                    $('#cdraft').attr('checked','true');
                    */
            }
            if (line.includes('type: ')) {
                //alert(line);
                $('#ctype').val(line.replace('type: ','').replaceAll('\"',''));
            }
            if (line.includes('url: ')) {
                //alert(line);
                $('#curl').val(line.replace('url: ','').replaceAll('\"',''));
            }
            if (line.includes('image: ')) {
                //alert(line);
                $('#cimage').val(line.replace('image: ','').replaceAll('\"',''));
            }
            if (line.includes('description: ')) {
                //alert(line);
                $('#cdescription').val(line.replace('description: ','').replaceAll('\"',''));
            }
            if (line.includes('weight: ')) {
                //alert(line);
                $('#cweight').val(line.replace('weight: ','').replaceAll('\"',''));
            }
            if (line.includes('tag: ')) {
                //alert(line);
                $('#ctag').val(line.replace('tag: ','').replaceAll('\"',''));
            }

            if (line.includes('---')) {
                isNotFrontMatterCount += 1;
            }
            continue;
        }
        contentMatters.push(line)
/*         if (line.toString().trim() == "") {
            blocks.push({ 'type': 'br', 'text': line });
            continue;
        } */

        if (line.includes('---')) {
            blocks.push({ 'type': 'hr', 'text': line });
            continue;
        }

        if (line.includes('###')) {
            blocks.push({ 'type': 'title', 'text': line });
            continue;
        }

        if (line.includes('{{% chuz-div class=\"mt-5\" %}}')) {
            blocks.push({ 'type': 'mt5', 'text': line });
            continue;
        }

        if (line.includes('<amp-img') || foundImg) {
            crossLine += line;
            foundImg = true;
            if (line.includes('</amp-img>'))
            {
                blocks.push({ 'type': 'img', 'text': crossLine });
                foundImg = false;
                crossLine = "";
            }
            continue;
        }

        if (line.includes('<amp-youtube') || foundYT) {
            crossLine += line;
            foundYT = true;
            if (line.includes('</amp-youtube>'))
            {
                blocks.push({ 'type': 'youtube', 'text': crossLine });
                foundYT = false;
                crossLine = "";
            }
            continue;
        }

        blocks.push({ 'type': 'para', 'text': line });
    }
    
    return blocks
}

const parseTitle = line => {
    var title = '';
    title = line.replace('### **', '');
    title = title.replace('**', '');
    if (title.includes('敘述')) {
        title = title.replace('<!-- ', '');
        title = title.replace('-->', '');
    }
    return title;
};

const parseAmpImg = line => {
    if (line.includes('alt')) {
        const altParameter = line.replace(/ |alt=|"/g, '');
        return { alt: altParameter };
    } else if (line.includes('src')) {
        const srcParameter = line.replace(/ |src=|"/g, '');
        return { src: srcParameter };
    } else if (line.includes('height')) {
        const heightParameter = line.replace(/ |height=|"/g, '');
        return { height: heightParameter };
    } else if (line.includes('width')) {
        const widthParameter = line.replace(/ |width=|"/g, '');
        return { width: widthParameter };
    } else if (line.includes('layout')) {
        const layoutParameter = line.replace(/ |layout=|"|>/g, '');
    }
}

class MDParser
{

    constructor(MDtext)
    {
        this.headerText = "";
        this.contentText = "";
        for (var line of MDtext.split('\n')) {
            console.log(line);
        }
    }


}


